---
wsId: AjGlobalV
title: AjGlobalV:Trade Bitcoin, Ethereum and Gift Cards.
altTitle: 
authors:
- danny
users: 10000
appId: com.rinnas.aj_global
appCountry: us
released: 2020-05-29
updated: 2022-05-17
version: 2.0.13
stars: 2.4
ratings: 146
reviews: 12
size: 
website: https://ajglobalv.com/
repository: 
issue: 
icon: com.rinnas.aj_global.png
bugbounty: 
meta: ok
verdict: custodial
date: 2021-10-19
signer: 
reviewArchive: 
twitter: ajglobalv
social:
- https://www.facebook.com/AJGLOBALVENTURES
redirect_from: 

---

## App Description

The platform allows the trading of gift cards, Bitcoin and Naira. 

> Our Vision: to be the most preferred Gift Cards and Bitcoin trading partner – locally and globally.

### Google Play Critical Reviews

**Note:** Out of 87 total reviews, the app received 3.5 Stars. It is also worth noting that the developer responds to each review promptly and professionally.

> [Ayo gift](https://play.google.com/store/apps/details?id=com.rinnas.aj_global&reviewId=gp%3AAOqpTOFvBWKl7ivQBAq3HWYgDAVwbODseplD81TpoxutX3aaLkq9JQKZKo4edjJbBFlvzU5OxlUVcC4TOizWbYs)<br>
  ★☆☆☆☆ June 23, 2021 <br>
       So fake can't even sign in I try using another email account still yet keep saying rubbish..

> [Muhammad Umar](https://play.google.com/store/apps/details?id=com.rinnas.aj_global&reviewId=gp%3AAOqpTOGVlUm8Uyk7RIpTWe8JrWJ4BE8fEu_hsXf4x37fByne0sONHzfN6W1bP0nt98k2ORNHaQkhnrDJGlnec5E)<br>
  ★☆☆☆☆ June 1, 2021 <br>
       This app is a bad app doesn't sign up but nestybag announce the app as if is a good app .. the app is very bad .. wasting of MB.... I will only give him one star ⭐ because I can not post it without putting star 
       
## The Site

[**The Terms and Conditions**](https://ajglobalv.com/client/terms)

**Termination Clause**

> By opening a AJ Global Account you accept and agree that AJ Global may, **without further notice and in its sole discretion, terminate, suspend or restrict the account of any customer who uses, or who we reasonably suspect may be using, the AJ Global Site or any AJ Global Account in a manner that is inconsistent with the letter or spirit of these Terms.**

**KYC**

> AJ Global implements and maintains the highest standards of Know Your Customer (“KYC”) processes and controls as part of our commitment to combating fraud and assisting in the prevention of money laundering and terrorist financing. While our industry is largely unregulated, AJ Global voluntarily adheres to local and international compliance standards in relation to customer due diligence.

## The App

We downloaded the app to test it. There is a bitcoin wallet that allows users to:

- Buy
- Sell
- Receive
- Transfer

### Buy

To buy bitcoin, the user must input a dollar value, which then calculates the Naira value and the Bitcoin value. You are then asked to fill up a 'Pin' field which is assigned by the user. Once an amount is inputted, there is a message that states:

> Note: Total bitcoin received by you may differ from the true value we sent.

### Sell

Selecting sell from the Bitcoin wallet, we are then presented with different 'Bitcoin variants':

- B1 - 10 to 99 ₦ 530
- B2 - 100 to 499 ₦ 540
- and so on

Selecting one presents us with a form that we are supposed to fill. Entering a dollar value calculates the Naira value and Bitcoin value. There's also a note that says:

> Note: Total credited amount may differ depending on the true value sent.

### Receive

It is possible to receive Bitcoin via QR code and a BTC wallet address

### Transfer

The fields for transfer are:

- Bitcoin Value
- Dollar Value
- Receiver Address
- Pin

### Gift Cards

This includes amazon, Google, iTunes, Steam and others.

## Verdict

Most apps with developers catering to the Nigerian population usually uses gift cards and Naira to trade Bitcoin. So far, among the other apps that we've reviewed, AJGlobal is one of the few that actually generates a BTC address with functions that allow sending or receiving. However, the service still holds the private keys, implements KYC and has a termination clause that could lock out the user from the platform. This makes the service **custodial** and the app **cannot be verified**.
